CMap Error from ND rock files
Description

I'm getting the following error from the official ND rock single files. The are the secondary files for the ND generation. The error is:
nova: /build/nova/novasoft/releases/S14-04-22/CMap/CMap_service.cc:54: void cmap::CMap::postBeginRun(const art::Run&):
Assertion "Irdcol.empty()' failed.

This error happens ~30% of the time for Grid jobs.

History

#1 - 04/24/2014 01:12 PM - Nathan Mayer
- Assignee deleted (Sandeep Sahijpal)

Changing the assignee from Sandeep to unassigned because | don't know who to assign this to. And | didn't mean to assign it Sandeep.

#2 - 04/24/2014 04:54 PM - Christopher Backhouse

The particular line you're hitting looks to be dead code. Whatever this xml override mechanism is supposed to be, | don't believe it's ever actually
done anything.

So we could rip all that out, but | expect someone else (like Geometry) would throw the same error.
How does one make a Run without a RunData object in it? Especially nondeterministically?

#3 - 04/28/2014 12:15 PM - Nathan Mayer

This seems to be happening in GenieGen/GenieHelper when the RunData object is created. And appears to be happening randomly.

#4 - 06/20/2014 03:53 PM - Gavin Davies

Are we about to run into this problem again for the latest ND generation??
| don't see how this ever got fixed

#5 - 06/30/2014 02:31 PM - Christopher Backhouse

For the hordes of people about to be looking at this, here's why this is mysterious:

The RunData object is put into the event unconditionally in GENIEGen::beginRun().

And then in CMap::postBeginRun() we try to get it out.

There shouldn't be any chance for a race condition. beginRun() comes before postBeginRun(). That's the point.
| recommend printouts to find if/when these functions are called.

#6 - 10/06/2014 04:25 PM - Daniel Pershey

I ran into this problem when trying to piece together a reco fhicl. While running the reco on a GENIE file in the ND, the job would always crash with
the CMap error. After comparing the fhicl to an official reco job, | found | was missing the lines:

physics.analyzers.metadata.params.Reconstructed.base_release: "" #automatically picked up at run time
physics.analyzers.metadata.params.NOVA.Standard: "true"

Putting in these lines fixed the problem somehow.
#7 - 03/20/2015 12:21 AM - Gavin Davies
This is STILL an issue, 11 MONTHS on...

Ruth and | are running into this for the latest round of simulation processing.
Here's a couple of log files with job specifics and the error:

/nova/app/users/rtoner/FA14-10-03a_ScriptValidate/logfiles/1023147.0/rtoner_test_nd_rocksingles_testruth_20150319_164220_535223474.sh_2015
0319 164242 10444 0 1 _1.err

/nova/app/users/rtoner/FA14-10-03a_ScriptValidate/logfiles/1023146.0/rtoner_test_nd_rocksingles_testruth_20150319_164220_535223474.sh_2015
0319 164240 10206 0 1 2.err

We really need to nail this one long-term...Out of 10 test jobs, 2 hit this error. Sure not a huge statistical sample but that's still 20% here...

#8 - 03/20/2015 01:44 AM - Christopher Backhouse

As | recall we never had a completely reproducible test-case. Can you put one together (ie "run this command line in this release")?

Note as mentioned above that all that CMap code is dead. Didn't you rip it out recently Gavin?

#9 - 11/15/2016 05:10 PM - Kanika Sachdev

- Status changed from New to Resolved

#10 - 11/15/2016 05:11 PM - Kanika Sachdev

- Status changed from Resolved to Closed
